Bug 881773 - mmap cache needs update after db changes
Summary: mmap cache needs update after db changes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Hrozek
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On:
Blocks: 886216
TreeView+ depends on / blocked
 
Reported: 2012-11-29 14:45 UTC by Dmitri Pal
Modified: 2020-05-02 17:07 UTC (History)
5 users (show)

Fixed In Version: sssd-1.9.2-34.el6
Doc Type: Bug Fix
Doc Text:
No documentation needed.
Clone Of:
Environment:
Last Closed: 2013-02-21 09:41:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github SSSD sssd issues 2713 None None None 2020-05-02 17:07:41 UTC
Red Hat Product Errata RHSA-2013:0508 normal SHIPPED_LIVE Low: sssd security, bug fix and enhancement update 2013-02-20 21:30:10 UTC

Description Dmitri Pal 2012-11-29 14:45:51 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/1671

In the nested groups case we use the memberof plugin to make changes db-wise for changing memberships, however this means changes are not reflected in the mmap cache until the mmap entry naturally expires and is refreshed.
Upon db changes we should make a quick search right after the memberof plugin has done it's work (using modifytimestamp ?) and expire any mmap cache entry that has been chahnged in the db.
This will cause th first app that need s the entry to call into sssd and refresh it with proper values.

Comment 2 Kaushik Banerjee 2013-01-15 08:26:53 UTC
Verified in version 1.9.2-68

Output from beaker automation run:
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: 2307bis_011 - bz881773 - mmap cache needs update after db changes
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

Stopping sssd: [  OK  ]
Starting sssd: [  OK  ]
[  OK  ]
:: [09:30:06] ::  Sleeping for 5 seconds
adding new entry "uid=mof_user8,dc=example,dc=com"

adding new entry "cn=mofuser8_grp1,dc=example,dc=com"

adding new entry "cn=mofuser8_grp2,dc=example,dc=com"

88881 88882
:: [   PASS   ] :: Running 'id -G mof_user8 | grep 88881 | grep 88882'
adding new entry "cn=mofuser8_grp3,dc=example,dc=com"

spawn ssh -q -l mof_user8 localhost echo 'login successful'
mof_user8@localhost's password: 
Could not chdir to home directory /home/mof_user8: No such file or directory
login successful
:: [   PASS   ] :: Authentication successful, as expected
:: [   PASS   ] :: Running 'auth_success mof_user8 Secret123'
88881 88882 88883
:: [   PASS   ] :: Running 'id -G mof_user8 | grep 88881 | grep 88882 | grep 88883'
'27ea4a42-a708-4f43-ada4-af1b27e019ca'
2307bis-011-bz881773-mmap-cache-needs-update-after-db-changes result: PASS

Comment 3 errata-xmlrpc 2013-02-21 09:41:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0508.html


Note You need to log in before you can comment on or make changes to this bug.